Sign in to follow this  
Followers 0
vsrawat

Installing Beta said you don't have current version.

18 posts in this topic

When I downloaded entire 7335 KB of autoit-v3.2.13.6-beta-setup.exe and tried to install it, it said you don't have existing version and stopped right there.

What is the fun? When I have entire thing, why can't it run on its own feet?

And I don't remember whether it really told me at the time of download of beta that it would require stable version to be there.

And the abort message didn't give any link to the site from where I can go and download stable version. I had to again go and Google.

Quite a shabby way of doing things. :-)

Thanks.

Share this post


Link to post
Share on other sites



When I downloaded entire 7335 KB of autoit-v3.2.13.6-beta-setup.exe and tried to install it, it said you don't have existing version and stopped right there.

What is the fun? When I have entire thing, why can't it run on its own feet?

And I don't remember whether it really told me at the time of download of beta that it would require stable version to be there.

And the abort message didn't give any link to the site from where I can go and download stable version. I had to again go and Google.

Quite a shabby way of doing things. :-)

Thanks.

I ran into this as well last night, seems there's a link or something you have to initiate. I just reinstalled 3.12 and then installed the beta.

Common sense plays a role in the basics of understanding AutoIt... If you're lacking in that, do us all a favor, and step away from the computer.

Share this post


Link to post
Share on other sites

The beta installs in a subfolder of the release version so that you can swap between beta/release operations quickly. I would have preferred the beta version to completely replace the release version but nobody else liked the idea :P

Share this post


Link to post
Share on other sites

The beta installs in a subfolder of the release version so that you can swap between beta/release operations quickly. I would have preferred the beta version to completely replace the release version but nobody else liked the idea :P

I like it :P

Share this post


Link to post
Share on other sites

When I downloaded entire 7335 KB of autoit-v3.2.13.6-beta-setup.exe and tried to install it, it said you don't have existing version and stopped right there.

What is the fun? When I have entire thing, why can't it run on its own feet?

And I don't remember whether it really told me at the time of download of beta that it would require stable version to be there.

And the abort message didn't give any link to the site from where I can go and download stable version. I had to again go and Google.

Quite a shabby way of doing things. :-)

Thanks.

Love how people have an opinion about it before understanding the whys and hows. :P

The Beta installs into a fixed directory namely the Beta subdirectory of the regular AutoIt3 installation. The reason for this is because all provided tools also depend on these fixed places.

When you elect to do things the none standards way ....that's fine too, just download the ZIP version and play as you like.

Jos


Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

#6 ·  Posted (edited)

Love how people have an opinion about it before understanding the whys and hows. :P

The Beta installs into a fixed directory namely the Beta subdirectory of the regular AutoIt3 installation. The reason for this is because all provided tools also depend on these fixed places.

When you elect to do things the none standards way ....that's fine too, just download the ZIP version and play as you like.

Jos

Jos,

I loved to see how you assumed that people had opinion "before" understanding the whys and hows.

When I downloaded a 7335 KB beta package while the original stable package is 7003 KB, what is the point in making me - a first time user, download both?

It is like you marry your beloved GF and then been told that you can't make love to her unless you get an old maid.

All your concepts of keeping beta in a separate subfolder are ok, and you could have created the mainlevel folder and other fubfolders of stable version, left them vacant, and went ahead to install beta thingy in its own new subfolder. You could even have put the minimum required tools in the stable subfolders. That would have cost you 100 bytes, but, to save on those 100 bytes, you made me download 7003*1024 bytes when I am not going to use a single byte of that.

I ended up downloading the stable version, installed it, ran it, I forgot that there is a beta lying there in my hdd waiting to be installed, and I am happily using stable version, not missing the features that beta would have offered because - being a first timer, the existing features of stable one are engrossing enough for me, and you loose the feedback on beta from a fresh first-time installation.

So, I indeed got an old maid and am happily living with her, enjoying the fun that she gives and not missing on the fun that my recently married wife would have given to me.

happy developing.

--

Edited by vsrawat

Share this post


Link to post
Share on other sites

I already had the release version of AutoIt. So i decided to download AutoIt Release, Beta, and SciTe beta. I run the Release, version and it says I must have beta installed first. I install the beta version first, and it still says that! :P

Share this post


Link to post
Share on other sites

Jos,

I loved to see how you assumed that people had opinion "before" understanding the whys and hows.

When I downloaded a 7335 KB beta package while the original stable package is 7003 KB, what is the point in making me - a first time user, download both?

It is like you marry your beloved GF and then been told that you can't make love to her unless you get an old maid.

All your concepts of keeping beta in a separate subfolder are ok, and you could have created the mainlevel folder and other fubfolders of stable version, left them vacant, and went ahead to install beta thingy in its own new subfolder. You could even have put the minimum required tools in the stable subfolders. That would have cost you 100 bytes, but, to save on those 100 bytes, you made me download 7003*1024 bytes when I am not going to use a single byte of that.

I ended up downloading the stable version, installed it, ran it, I forgot that there is a beta lying there in my hdd waiting to be installed, and I am happily using stable version, not missing the features that beta would have offered because - being a first timer, the existing features of stable one are engrossing enough for me, and you loose the feedback on beta from a fresh first-time installation.

So, I indeed got an old maid and am happily living with her, enjoying the fun that she gives and not missing on the fun that my recently married wife would have given to me.

happy developing.

--

Not totally correct as the Beta doesn't contain everything, but you are right that it contains a full installation of all AutoIt3 stuff. Its is lacking the SciTE4AutoIt3 editor if I remember well.

We have been messing with this whole thing till we came to the setup as we currently have and its so much less error prone. You cannot imagine how many were able to screw up their installation when installing Beta at the time they still had choises.

We have the ZIP file for the people that feel adventures and the standard approach for all that do not want to think about it but just use it.

:P


Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

You are sure about this ?

Well I'm sure about it. That's what happened to me last night. It had to be "linked" after this install of the standard and the beta. That was a first for me. The crap part was, it was the same release version I was already running, but I downloaded from the site, reinstalled the release, then the beta and it worked fine this time.

Common sense plays a role in the basics of understanding AutoIt... If you're lacking in that, do us all a favor, and step away from the computer.

Share this post


Link to post
Share on other sites

Well I'm sure about it. That's what happened to me last night. It had to be "linked" after this install of the standard and the beta. That was a first for me. The crap part was, it was the same release version I was already running, but I downloaded from the site, reinstalled the release, then the beta and it worked fine this time.

Do you know the exact steps you took to get it to fail because I have been updating each release and it haven't done it to me.

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

Do you know the exact steps you took to get it to fail because I have been updating each release and it haven't done it to me.

Well I had 3.2.12.1 installed as release, 3.2.13.4 as beta. I downloaded 3.2.13.6 beta setup exe, when I opened it, it initialezed 100%, and then threw an exception saying I must have a release version installed before I can install the beta. It didn't give me an option to do anything, just initialized, then threw the exception. So I had to re-download 3.2.12.1, this time I noticed a "link" option, I accepted, and then it installed all over again. Then installed 3.2.13.6 just fine.

Common sense plays a role in the basics of understanding AutoIt... If you're lacking in that, do us all a favor, and step away from the computer.

Share this post


Link to post
Share on other sites

#13 ·  Posted (edited)

Well I had 3.2.12.1 installed as release, 3.2.13.4 as beta. I downloaded 3.2.13.6 beta setup exe, when I opened it, it initialezed 100%, and then threw an exception saying I must have a release version installed before I can install the beta. It didn't give me an option to do anything, just initialized, then threw the exception. So I had to re-download 3.2.12.1, this time I noticed a "link" option, I accepted, and then it installed all over again. Then installed 3.2.13.6 just fine.

Will have a quick check if anything got changed, but the quoted text was talking about a Beta needs to be installed when installing the Production version.

Did you see that too?

One question though, I always do: Run Installer, Click Next, Click I Agree,Select Override and Click Next, Select Edit and click Next, Click Next, Leave directory and click Install.

Don't see any "link"option. Where did you see that?

Jos

Edited by Jos

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

Will have a quick check if anything got changed, but the quoted text was talking about a Beta needs to be installed when installing the Production version.

Did you see that too?

One question though, I always do: Run Installer, Click Next, Click I Agree,Select Override and Click Next, Select Edit and click Next, Click Next, Leave directory and click Install.

Don see any "link"option. Where did you see that?

Jos

It was after the install... both of them. I wouldn't doubt Jos it being on my end, I've been having some issues with this pc lately. About to do a fresh format if it keeps up. But I did in fact see a "link" option in both... because I had never seen it before (I also overwrite, but the beta didn't give me a chance to even get to that point, after the splash screen, I had the exception and that was it, no option to try and install anyway).

Common sense plays a role in the basics of understanding AutoIt... If you're lacking in that, do us all a favor, and step away from the computer.

Share this post


Link to post
Share on other sites

#15 ·  Posted (edited)

...I wouldn't doubt Jos it being on my end,...

It is not just you...

I had v3.2.12.1 installed on a freshly formated system XP Pro SP3.

No beta installed at all.

Installed v3.2.13.7 (beta) today without any problems.

Attempted to install v3.2.12.1 as a test due to this thread and got these errors shown in the two screen shots.

Edit: FYI - Nothing AutoIt or SciTE realated was running during the attempted re-install if v3.2.12.1

Edited by herewasplato

[size="1"][font="Arial"].[u].[/u][/font][/size]

Share this post


Link to post
Share on other sites

Will have a quick check if anything got changed, but the quoted text was talking about a Beta needs to be installed when installing the Production version.

Did you see that too?

I think it said: Beta needs to be un-installed when installing the Production version

Today I installed 3.2.12.1 (over my 3.2.10/3.2.11.12) and it said exactly the same: you must un-install beta first.

So I uninstalled beta then reinstalled production and finally installed beta.

Share this post


Link to post
Share on other sites

#17 ·  Posted (edited)

I think it said: Beta needs to be un-installed when installing the Production version

Today I installed 3.2.12.1 (over my 3.2.10/3.2.11.12) and it said exactly the same: you must un-install beta first.

So I uninstalled beta then reinstalled production and finally installed beta.

ok, Now I understand: it didn't say un-installed but it should have been that. :P

Also understand what the issue is now. It forces you to uninstall Beta with trying to Install Production and selecting the "Uninstall before continuing (Recommended)" option.

Smoke_N, You said you always use the "Overwrite current version"option. Could it been you skipped that and use the default?

Jos

Edited by Jos

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

ok, Now I understand: it didn't say un-installed but it should have been that. :P

Also understand what the issue is now. It forces you to uninstall Beta with trying to Install Production and selecting the "Uninstall before continuing (Recommended)" option.

Smoke_N, You said you always use the "Overwrite current version"option. Could it been you skipped that and use the default?

Jos

I never even got to the point where I could choose that. The splash screen loaded with a percentage, then the exception message box was thrown.

Common sense plays a role in the basics of understanding AutoIt... If you're lacking in that, do us all a favor, and step away from the computer.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0